{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "@DatatourismeWebApp/public_layout.html.twig" %}

{% block navbar %}
    <div class="navbar-text navbar-right">
        Espace <strong>démonstration</strong>
    </div>
{% endblock %}

{% block content %}
   {# <section class="content-header">
        <h1>Démonstration de l'API</h1>
    </section>#}
    <section class="content">
        <div id="visual-query-editor-app">
            <visual-query-editor ng-model="query" mode="graphql" class="p-0">
                <div class="blankslate blankslate-xspacious blankslate-spinner">
                    <h4>Chargement de l'interface de démonstration...</h4>
                </div>
            </visual-query-editor>
        </div>
    </section>
{% endblock %}

{% block javascripts %}
    <script type="text/javascript">
        var container = $("#visual-query-editor-app");

        // initialize app
        var app = angular.module('visual-query-editor-app');

        app.config(function(graphqlClientProvider, $translateProvider) {
            graphqlClientProvider.setEndpoint("{{ path("api.graphql") }}");
            $translateProvider.preferredLanguage('{{ app.request.locale }}');
        });

        // load ontology
        $.get('{{ path("api.ontology") }}', function(data) {
            var ontology = Ontology.fromJson(data);
            app.config(['ontologyProvider', function(ontologyProvider) {
                ontologyProvider.setOntology(ontology);
            }]);
            // bootstrap
            angular.bootstrap(container, ['visual-query-editor-app']);
        }).fail(function(response) {
            $.notify({message: response.responseJSON ? response.responseJSON.error.message : "Le serveur a rencontré une erreur"}, {type:"danger"});
            modal.modal("hide");
        });

    </script>
{% endblock %}